xine-lib: _PLUGIN_INFO Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Data Fields
_PLUGIN_INFO Struct Reference

`#include <goom_plugin_info.h>`

## Data Structures
struct | _SIZE_TYPE

## Data Fields
int | nbParams
PluginParameters * | params
struct _PLUGIN_INFO::_SIZE_TYPE | screen
SoundInfo | sound
int | nbVisuals
VisualFX ** | visuals
VisualFX | convolve_fx
VisualFX | star_fx
VisualFX | zoomFilter_fx
VisualFX | tentacles_fx
VisualFX | ifs_fx
struct goomfont_s * | font
unsigned int * | pixel
unsigned int * | back
Pixel * | p1
Pixel * | p2
Pixel * | conv
Pixel * | outputBuf
unsigned int | cycle
GoomState | states [128]
int | statesNumber
int | statesRangeMax
GoomState * | curGState
GMLine * | gmline1
GMLine * | gmline2
int | sintable [0x10000]
struct { |
int lockvar |
int goomvar |
int loopvar |
int stop_lines |
int ifs_incr |
int decay_ifs |
int recay_ifs |
int cyclesSinceLastChange |
int drawLinesDuration |
int lineMode |
float switchMultAmount |
int switchIncrAmount |
float switchMult |
int switchIncr |
int stateSelectionRnd |
int stateSelectionBlocker |
int previousZoomSpeed |
int timeOfTitleDisplay |
char titleText [1024] |
ZoomFilterData zoomFilterData |
} | update |
struct { |
int numberOfLinesInMessage |
char message [0x800] |
int affiche |
int longueur |
} | update_message |
struct { |
void(* draw_line )(Pixel *data, int x1, int y1, int x2, int y2, int col, int screenx, int screeny) |
void(* zoom_filter )(int sizeX, int sizeY, Pixel *src, Pixel *dest, int *brutS, int *brutD, int buffratio, int precalCoef[16][16]) |
} | methods |
GoomRandom * | gRandom

## Detailed Description

Allows FXs to know the current state of the plugin.

## Field Documentation

## ◆ affiche

int _PLUGIN_INFO::affiche

Referenced by plugin_info_init(), and update_message().

## ◆ back

unsigned int* _PLUGIN_INFO::back

Referenced by goom_close(), goom_set_resolution(), and init_buffers().

## ◆ conv

Pixel* _PLUGIN_INFO::conv

Referenced by goom_close(), goom_set_resolution(), and init_buffers().

## ◆ convolve_fx

VisualFX _PLUGIN_INFO::convolve_fx

The known FX

Referenced by goom_close(), and goom_init().

## ◆ curGState

GoomState* _PLUGIN_INFO::curGState

Referenced by goom_update(), plugin_info_init(), and tentacle_fx_apply().

## ◆ cycle

unsigned int _PLUGIN_INFO::cycle

state of goom

Referenced by convolve_apply(), goom_init(), and goom_update().

## ◆ cyclesSinceLastChange

int _PLUGIN_INFO::cyclesSinceLastChange

Referenced by goom_update(), and plugin_info_init().

## ◆ decay_ifs

int _PLUGIN_INFO::decay_ifs

Referenced by goom_update(), and plugin_info_init().

## ◆ draw_line

void(* _PLUGIN_INFO::draw_line) (Pixel *data, int x1, int y1, int x2, int y2, int col, int screenx, int screeny)

Referenced by fs_apply(), goom_lines_draw(), grid3d_draw(), and setOptimizedMethods().

## ◆ drawLinesDuration

int _PLUGIN_INFO::drawLinesDuration

Referenced by goom_update(), and plugin_info_init().

## ◆ font

struct goomfont_s* _PLUGIN_INFO::font

Referenced by goom_close(), goom_init(), goom_update(), and update_message().

## ◆ gmline1

GMLine* _PLUGIN_INFO::gmline1

effet de ligne..

Referenced by goom_close(), goom_init(), goom_set_resolution(), and goom_update().

## ◆ gmline2

GMLine* _PLUGIN_INFO::gmline2

Referenced by goom_close(), goom_init(), goom_set_resolution(), and goom_update().

## ◆ goomvar

int _PLUGIN_INFO::goomvar

Referenced by goom_update(), and plugin_info_init().

## ◆ gRandom

GoomRandom* _PLUGIN_INFO::gRandom

Referenced by addABomb(), choose_a_goom_line(), convolve_apply(), fs_apply(), fs_sound_event_occured(), generateTheWaterFXHorizontalDirectionBuffer(), goom_close(), goom_init(), goom_lines_move(), goom_update(), pretty_move(), and tentacle_update().

## ◆ ifs_fx

VisualFX _PLUGIN_INFO::ifs_fx

Referenced by goom_close(), goom_init(), goom_set_resolution(), and goom_update().

## ◆ ifs_incr

int _PLUGIN_INFO::ifs_incr

Referenced by goom_update(), ifs_vfx_apply(), and plugin_info_init().

## ◆ lineMode

int _PLUGIN_INFO::lineMode

Referenced by goom_update(), and plugin_info_init().

## ◆ lockvar

int _PLUGIN_INFO::lockvar

Referenced by goom_update(), and plugin_info_init().

## ◆ longueur

int _PLUGIN_INFO::longueur

Referenced by update_message().

## ◆ loopvar

int _PLUGIN_INFO::loopvar

Referenced by goom_update(), and plugin_info_init().

## ◆ message

char _PLUGIN_INFO::message[0x800]

Referenced by update_message().

## ◆ [struct]

struct { ... } _PLUGIN_INFO::methods

Referenced by fs_apply(), goom_lines_draw(), grid3d_draw(), setOptimizedMethods(), and zoomFilterFastRGB().

## ◆ nbParams

int _PLUGIN_INFO::nbParams

Referenced by plugin_info_add_visual(), and plugin_info_init().

## ◆ nbVisuals

int _PLUGIN_INFO::nbVisuals

Referenced by plugin_info_add_visual(), and plugin_info_init().

## ◆ numberOfLinesInMessage

int _PLUGIN_INFO::numberOfLinesInMessage

Referenced by update_message().

## ◆ outputBuf

Pixel* _PLUGIN_INFO::outputBuf

Referenced by goom_set_screenbuffer(), goom_update(), and init_buffers().

## ◆ p1

Pixel* _PLUGIN_INFO::p1

Referenced by goom_update(), init_buffers(), and update_message().

## ◆ p2

Pixel * _PLUGIN_INFO::p2

Referenced by goom_update(), and init_buffers().

## ◆ params

PluginParameters* _PLUGIN_INFO::params

Referenced by goom_close(), and plugin_info_add_visual().

## ◆ pixel

unsigned int* _PLUGIN_INFO::pixel

image buffers

Referenced by goom_close(), goom_init(), goom_set_resolution(), and init_buffers().

## ◆ previousZoomSpeed

int _PLUGIN_INFO::previousZoomSpeed

Referenced by goom_update(), and plugin_info_init().

## ◆ recay_ifs

int _PLUGIN_INFO::recay_ifs

Referenced by goom_update(), and plugin_info_init().

## ◆ screen

struct _PLUGIN_INFO::_SIZE_TYPE _PLUGIN_INFO::screen

Referenced by choose_a_goom_line(), compute_tables(), convolve_apply(), create_output_with_brightness(), fs_apply(), fs_sound_event_occured(), getPixelRGB(), goom_init(), goom_set_resolution(), goom_update(), ifs_update(), init_ifs(), pointFilter(), setPixelRGB(), tentacle_fx_apply(), and update_message().

## ◆ sintable

int _PLUGIN_INFO::sintable[0x10000]

sinus table

Referenced by plugin_info_init().

## ◆ sound

SoundInfo _PLUGIN_INFO::sound

Referenced by convolve_apply(), fs_apply(), fs_sound_event_occured(), goom_close(), goom_update(), plugin_info_add_visual(), plugin_info_init(), and tentacle_fx_apply().

## ◆ star_fx

VisualFX _PLUGIN_INFO::star_fx

Referenced by goom_close(), goom_init(), and goom_update().

## ◆ states

GoomState _PLUGIN_INFO::states[128]

Referenced by goom_update(), and plugin_info_init().

## ◆ stateSelectionBlocker

int _PLUGIN_INFO::stateSelectionBlocker

Referenced by goom_update(), and plugin_info_init().

## ◆ stateSelectionRnd

int _PLUGIN_INFO::stateSelectionRnd

Referenced by goom_update(), and plugin_info_init().

## ◆ statesNumber

int _PLUGIN_INFO::statesNumber

Referenced by goom_update(), and plugin_info_init().

## ◆ statesRangeMax

int _PLUGIN_INFO::statesRangeMax

Referenced by goom_update(), and plugin_info_init().

## ◆ stop_lines

int _PLUGIN_INFO::stop_lines

Referenced by goom_update(), and plugin_info_init().

## ◆ switchIncr

int _PLUGIN_INFO::switchIncr

Referenced by goom_update(), and plugin_info_init().

## ◆ switchIncrAmount

int _PLUGIN_INFO::switchIncrAmount

Referenced by goom_update(), and plugin_info_init().

## ◆ switchMult

float _PLUGIN_INFO::switchMult

Referenced by goom_update(), and plugin_info_init().

## ◆ switchMultAmount

float _PLUGIN_INFO::switchMultAmount

Referenced by goom_update(), and plugin_info_init().

## ◆ tentacles_fx

VisualFX _PLUGIN_INFO::tentacles_fx

Referenced by goom_close(), goom_init(), and goom_update().

## ◆ timeOfTitleDisplay

int _PLUGIN_INFO::timeOfTitleDisplay

Referenced by goom_update(), and plugin_info_init().

## ◆ titleText

char _PLUGIN_INFO::titleText[1024]

Referenced by goom_update().

## ◆ [struct]

struct { ... } _PLUGIN_INFO::update

goom_update internals. I took all static variables from goom_update and put them here.. for the moment.

Referenced by goom_update(), ifs_vfx_apply(), and plugin_info_init().

## ◆ [struct]

struct { ... } _PLUGIN_INFO::update_message

Referenced by plugin_info_init(), and update_message().

## ◆ visuals

VisualFX** _PLUGIN_INFO::visuals

Referenced by goom_close(), plugin_info_add_visual(), and plugin_info_init().

## ◆ zoom_filter

void(* _PLUGIN_INFO::zoom_filter) (int sizeX, int sizeY, Pixel *src, Pixel *dest, int *brutS, int *brutD, int buffratio, int precalCoef[16][16])

Referenced by setOptimizedMethods(), and zoomFilterFastRGB().

## ◆ zoomFilter_fx

VisualFX _PLUGIN_INFO::zoomFilter_fx

Referenced by goom_close(), goom_init(), and zoomFilterFastRGB().

## ◆ zoomFilterData

ZoomFilterData _PLUGIN_INFO::zoomFilterData

Referenced by goom_update(), and plugin_info_init().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/post/goom/goom_plugin_info.h